Bug 66259 - [Export (X)HTML] Slides can only be export up to a size of 1024*768
Summary: [Export (X)HTML] Slides can only be export up to a size of 1024*768
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Draw-File-Handling
  Show dependency treegraph
 
Reported: 2013-06-27 14:49 UTC by Florian R. A. Angermeier
Modified: 2017-01-13 09:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots of HTML export dialogs for v3304 and v4132. (104.93 KB, application/zip)
2013-11-25 10:05 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian R. A. Angermeier 2013-06-27 14:49:37 UTC
As mentioned in the titel the slides of Impress/Draw can only be exported to (X)HTML as images up to a size of 1024*768.

Found in the export dialog ("HTML export") as "Screen resolution" with the options:
* "Low resolution (640x480 pixel)"
* "Medium resolution (800x600 pixel)"
* "High resolution (1024x768 pixel)"

I want to suggest an improvement by providing the user a possibility to input a custom resolution as an 4th option.

Screen resolution ---------------------

( ) Low resolution (640x480 pixels)

( ) Medium resolution (800x600 pixels)

( ) High resolution (1024x768 pixels)

(o) Custom resolution:
    Width:  [_1280_] pixels
    Height: [_1024_] pixels
Comment 1 Owen Genat (retired) 2013-11-25 10:05:05 UTC
Created attachment 89737 [details]
Screenshots of HTML export dialogs for v3304 and v4132.

To clarify one aspect of this report, Draw will export a graphic via File > Export... > File Type of "HTML Document (Draw)" that is no larger in any dimension than the largest dimension selected e.g., an A4 page will export as an 800x1131px graphic if the "1024x768 pixels" option is selected. 

Impress slides being a more consistent size (and presentations more likely to have a greater number of slides) it is easier to understand the desire for larger and / or custom sizes for Impress over Draw. Given however that Impress and Draw appear to share the same export process, it would seem reasonable that both components are enhanced to include this option, even though it likely applies more to Impress and Draw.

I have taken screenshots of the HTML Export dialogs under Ubuntu 10.04 x86_64 running:

- v3.3.0.4 OOO330m19 Build: 6
- v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a

... which indicates this size limitation has always been in place.
Comment 2 Owen Genat (retired) 2013-11-25 10:08:08 UTC
As per comment #1, confirmed. Status set to NEW. Version set to Inherited From OOo as the ability to select custom sized graphics via export to HTML has never been available. Platform to All/All. Severity set to enhancement.
Comment 3 Owen Genat (retired) 2014-01-06 10:10:52 UTC
Setting version back from "Inherited From OOo" to what it was prior (for bugs marked enhancement), for QA tracking purposes. My mistake. Apologies.
Comment 4 Heiko Tietze 2016-05-31 11:39:46 UTC
I'd drop all options from the export procedure. The document size defines what is being exported. It should also be considered to remove the html stuff completely. For presentation purpose the pdf format is good enough. And well designed html pages are not easy to create and perhaps better realized per extension.
Comment 5 Heiko Tietze 2016-06-30 15:44:52 UTC
As in bug 99967 Drop Web Wizard I suggest to kill html export. Objections?
Comment 6 Olivier Hallot 2017-01-05 12:35:40 UTC
I'd  like to state that XHTML export for Writer (text documents) and Calc (spreadsheets) are indeed important features for LibreOffice and must be preserved.
Comment 7 Heiko Tietze 2017-01-12 13:03:27 UTC
We talked about this issue in the design meeting and agreed that the html _wizard_ should be dropped (WONTFIX therefore). The html export should be available similar to images, and svg the recommended default to export a presentation. Follow-up tickets will be opened.